%define gettext_package dbus

%define expat_version           1.95.5
%define glib2_version           2.2.0
%define gtk2_version 2.4.0
%define dbus_version 0.90

Summary: GLib bindings for D-Bus
Name: dbus-glib
Version: 0.73
Release: 11%{?dist}
URL: http://www.freedesktop.org/software/dbus/
Source0: http://dbus.freedesktop.org/releases/dbus-glib/%{name}-%{version}.tar.gz
Source1: dbus-bus-introspect.xml
Patch1: dbus-glib-proxy-signals-once.patch
# https://bugs.freedesktop.org/show_bug.cgi?id=14429
Patch2: dbus-glib-0.73-ignore-namespaces-and-children.patch
# http://bugs.freedesktop.org/show_bug.cgi?id=15430
Patch3: dbus-glib-0.74-freeze-abi.patch
# Upstream; 8e024ae2252e6e948c28203f07aa416df3dac0b8
Patch4: dbus-glib-0.74-leak-fix.patch
# Upstream; 2cf62d7ff7d3a7bc450d0b60bb81a8365ffd310b
Patch5: dbus-glib-0.74-fix-call-cancel-on-proxy-dispose.patch
# CVE-2010-1172; not yet upstream
Patch6: Respect-property-access-flags-for-writing-allow-disa.patch
# CVE-2013-0292
Patch7: 0001-CVE-2013-0292-dbus-gproxy-Verify-sender-of-NameOwner.patch
License: AFL/GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: chkconfig >= 1.3.26
BuildRequires: libtool
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: libxml2-devel
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gettext
BuildRequires: autoconf


%description

D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package devel
Summary: Libraries and headers for the D-Bus GLib bindings
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: glib2-devel 
Requires: dbus-devel 
Requires: pkgconfig
Obsoletes: dbus-devel < 0.90

%description devel

Headers and static libraries for the D-Bus GLib bindings 

%if 0
%package gtk
Summary: GTK based tools
Group: Development/Tools 
Requires: %name = %{version}-%{release}
Requires: gtk2 >= %{gtk_version}
%description gtk

D-Bus tools written using the gtk+ GUI libaries

%endif

%prep
%setup -q
%patch1 -p1 -b .proxy-signals-once
%patch2 -p1 -b .ignore-namespaces
%patch3 -p1 -b .freeze-abi
%patch4 -p1 -b .leak-fix
%patch5 -p1 -b .fix-call-cancel-on-proxy-dispose
%patch6 -p1 -b .respect-access
%patch7 -p1 -b .verify-sender-of-NameOwnerChanged

%build

%configure --disable-tests \
	--enable-verbose-mode=yes \
	--enable-asserts=yes \
	--disable-gtk-doc \
	--with-introspect-xml=%{SOURCE1}

#build with checks for right now but disable checks for final release
#%configure  --disable-tests --disable-verbose-mode --disable-asserts
make

%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)

%doc COPYING ChangeLog NEWS

%{_libdir}/*glib*.so.*
%{_bindir}/dbus-binding-tool

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.so
%{_libdir}/pkgconfig/dbus-glib-1.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/dbus-glib

%if 0
%files gtk
%defattr(-,root,root)

%{_bindir}/dbus-viewer

%endif

%changelog
* Wed Feb 20 2013 Richard Hughes <rhughes@redhat.com> - 0.73-11
- Add patch to fix CVE-2013-0292
- Resolves: #913072

* Thu Apr 29 2010 Colin Walters <walters@redhat.com> - 0.73-10
- Add patch to fix CVE-2010-1172
  Drop broken-xml.patch which this one now incorporates
  Resolves: #585395

* Mon Sep 15 2008 Dan Williams <dcbw@redhat.com> - 0.73-8
- Update to 0.73 with backports from 0.74
- Resolves: #455792

* Tue Nov 28 2006 David Zeuthen <davidz@redhat.com> - 0.70-5
- Add dbus-glib-0.70-fix-info-leak.patch
- Resolves: #216034

* Thu Jul 20 2006 Jesse Keating <jkeating@redhat.com> - 0.70-4
- remove improper obsoletes

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-3
- Pregenerate the xml introspect file so you don't need dbus running during
  the build 

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-2
- Spec file cleanups

* Mon Jul 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.70-1
- Initial dbus-glib package
